Orders

Cancel Order

DELETE
/api/oms/cancel-order

to cancel the pending order

Query Parameters

orderId*string

Order id of an order which needs to be cancelled. Order id is received from orders response

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/oms/cancel-order?orderId=string" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": {
    "msg": "Order Cancelled Successfully",
    "orderId": "210115000000001"
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}